[Gdal-dev] gdal-1.6.2 compile fail (mpi.h)

Francesco Paolo Lovergine frankie at debian.org
Thu Oct 22 08:34:25 EDT 2009

On Wed, Oct 21, 2009 at 06:52:53AM -0700, alfreale wrote:
> Hi,
> I try to compile gdal with hdf5 support, but the compile fail:
> In file included from /usr/include/hdf5.h:24,
>                  from hdf5dataset.cpp:34:
> /usr/include/H5public.h:57:20: error: mpi.h: No such file or directory

That's because you also need to install your MPI implementation 
development stuff (headers specifically).

Francesco P. Lovergine

More information about the gdal-dev mailing list